Select to view content in your preferred language

Can an Experience Builder App developed in a newer version be run on an older Enterprise Portal?

615
2
02-07-2023 06:54 AM
Labels (1)
TommyTaylorDev
New Contributor II

Custom widgets cannot be used in Experience Builder until Enterprise v11.0. But my organisation still uses Enterprise v10.9.1 with no upgrade in the pipeline.

However, both implementations share the same version of Node.js (v14). While JSAPI has changed, we can easily reference the updated version. See Version History

With these things considered, can an app (and associated custom widgets) developed in the newer version be run on an older Enterprise Portal?

If no, can any manual (re)configuration enable this? Are there any creative workarounds?

Thanks 🙂

0 Kudos
2 Replies
jcarlson
MVP Esteemed Contributor

What about Experience Builder Developer? We've been able to use it to take advantage of new capabilities as soon as they are available, rather than wait for it to hit Enterprise.

- Josh Carlson
Kendall County GIS
0 Kudos
TommyTaylorDev
New Contributor II

Thanks for getting back to me, Josh. While I have requested ExB Dev, this will not be available for the foreseeable unfortunately.

0 Kudos